Page MenuHomePhabricator

Enable Extension:Sudo on WMF cluster
Closed, DeclinedPublic

Description

Has many debugging purposes (ie working in a users current environment based on preferences. Doesn't help for browser issues). Obviously rights wouldn't be given out to most people...


Version: unspecified
Severity: enhancement
URL: https://www.mediawiki.org/wiki/Extension:Sudo

Details

Reference
bz35104

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 12:10 AM
bzimport set Reference to bz35104.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Mar 9 2012, 11:58 PM

*snickers* ...What?

We're not going to make this one "RESOLVED HUMOROUS" are we?

;) You do realize I wrote Extension:Sudo as a gag extension like CStyleWikiIncludes was.

There are probably better ways to let people test preferences. Like a separate extension that hooks into the preference system and lets you temporarily override your own preferences with that of another user.

Sudo, while it does log the initial user switch (so there's at least a minimal culpability for anything you may do) lets you basically take complete control over an account. All their rights. You can make edits attributed to their name which show up in their own contributions. You can view their private watchlists. Completely screw up their preferences with no one knowing what you changed. etc...

I'm also not sure if it's even compatible with CentralAuth.

Reedy added a comment.Mar 10 2012, 2:52 AM

(In reply to comment #1)

*snickers* ...What?
We're not going to make this one "RESOLVED HUMOROUS" are we?

Although it it somewhat amusing, there really are quite a few proper use cases to have a feature like this in some form or another.

Hell, even locking it down further (no editing etc), and just being able to view stuff as if you were the user would have reasonable advantage

Marking this as WONTFIX.

Perhaps better debugging tools are needed, but this is almost certainly not the way to go about debugging user issues. And any benefits from other possible use-cases for this extension are far outweighed by the potential for abuse.

No, just no.